Oracle Java SE の Rhino JavaScript エンジンに起因する任意コード実行の脆弱性(Scan Tech Report) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2017.12.12(火)

Oracle Java SE の Rhino JavaScript エンジンに起因する任意コード実行の脆弱性(Scan Tech Report)

脆弱性と脅威 エクスプロイト

1.概要
Oracle Java SE の Rhino JavaScript エンジンには、Error オブジェクトの取り扱いに不備が存在するため、サンドボックスによるセキュリティ制限を回避して、任意のコードが実行可能な脆弱性が報告されました。
悪質な Web ページを閲覧した場合、リモートの第三者によってシステム上で不正な操作が実行される可能性があります。
既にエクスプロイトキットに、この脆弱性を悪用するエクスプロイトコードが含まれていることが確認されており、また当該脆弱性を悪用するマルウェアが出現する可能性も高いことが考えられるため、対象のユーザは可能な限り以下に記載する対策を実施することを推奨します。


2.深刻度(CVSS)
10.0
http://nvd.nist.gov/cvss.cfm?version=2&name=CVE-2011-3544&vector=%28AV%3AN/AC%3AL/Au%3AN/C%3AC/I%3AC/A%3AC%29


3.影響を受けるソフトウェア
Java SE (JDK and JRE) 6 Update 27 以前
Java SE (JDK and JRE) 7

※影響を受けるバージョンの Java SE が含まれる Mac OS や Linux、UNIX においても、この脆弱性の影響を受ける可能性があります。


4.解説
Oracle Java SE に同梱される Rhino JavaScript エンジンには、JavaScript の Error オブジェクトを処理する際に SecurityManager によるセキュリティ制限を適切に適用しない不備が存在します。
このため、message プロパティを toString メソッドによって上書きした不正な Error オブジェクトを介して、サンドボックスによるセキュリティ制限を回避し、任意のコードを実行可能な脆弱性が存在します。

この脆弱性を利用することで、リモートの攻撃者は Web ブラウザを実行するユーザの権限で任意のコードを実行し、システムを制御することが可能となります。

この脆弱性は、Michael Schierl 氏によって 2011/5/12 に発見され、2011/10/26 に Oracle がセキュリティアドバイザリと共に解消バージョンの Java SE をリリースした問題になります。その後、2011/11/29 にこの脆弱性を悪用する攻撃ツールが Metasploit で公開されています。

また、複数の脆弱性を悪用するエクスプロイトコードをパッケージ化したエクスプロイトキットの 1 つである BlackHole Exploit Kit に、この脆弱性を悪用するエクスプロイトコードが組み込まれていることが報告されています。

Krebs on Security Public Java Exploit Amps Up Threat Level:
http://krebsonsecurity.com/2011/11/public-java-exploit-amps-up-threat-level/
JPCERT/CC Alert JPCERT-AT-2011-0032
https://www.jpcert.or.jp/at/2011/at110032.txt


5.対策
(Web非公開)

6.ソースコード
(Web非公開)

(執筆:株式会社ラック コンピュータセキュリティ研究所

※Web非公開該当コンテンツ閲覧をご希望の方はScan Tech Reportにご登録(有料)下さい。
《吉澤 亨史》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

Scan BASIC 会員限定記事

もっと見る

Scan BASIC 会員限定記事特集をもっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)

もっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)特集をもっと見る

カテゴリ別新着記事

脆弱性と脅威 カテゴリの人気記事 MONTHLY ランキング

  1. OSSのデータ収集ツール「Fluentd」に任意コマンド実行などの脆弱性(JVN)

    OSSのデータ収集ツール「Fluentd」に任意コマンド実行などの脆弱性(JVN)

  2. 送信者を偽装できる脆弱性「Mailsploit」に注意、メールソフト別対応状況一覧(JPCERT/CC)

    送信者を偽装できる脆弱性「Mailsploit」に注意、メールソフト別対応状況一覧(JPCERT/CC)

  3. GNU wget に HTTP プロトコルのハンドリングにおける値検証不備に起因するバッファオーバーフローの脆弱性(Scan Tech Report)

    GNU wget に HTTP プロトコルのハンドリングにおける値検証不備に起因するバッファオーバーフローの脆弱性(Scan Tech Report)

  4. 「Microsoft Office 数式エディタ」に任意コード実行の脆弱性(JVN)

  5. 8以降のWindowsに、特定のメモリアドレスのコードを悪用される脆弱性(JVN)

  6. Microsoft .NET Framework における WSDL パーサでの値検証不備により遠隔から任意のコードが実行可能となる脆弱性(Scan Tech Report)

  7. AIや機械学習による自動化がさまざまなサイバー攻撃に活用、2018年予想(フォーティネット)

  8. パケット解析ツール「Packetbeat」にDoS攻撃を受ける脆弱性(JVN)

  9. 脆弱性体験学習ツール「AppGoat」の集合教育向け手引書と解説資料を公開(IPA)

  10. サポート終了のモバイルルータ「PWR-Q200」に脆弱性、使用中止を呼びかけ(JVN)

全カテゴリランキング

特集

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×